Live Gemini LLM Scraper Advanced

‌‌
Live Gemini LLM Scraper endpoint provides structured results from Gemini. The results are specific to the selected location (see the List of Locations), language (see the List of Languages), and keyword.

checked POST
Pricing

The cost of the task can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live Gemini LLM Scraper API call can contain only one task.

Execution time for tasks set with the Live Gemini LLM Scraper endpoint is currently up to 120 seconds.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field name Type Description
keyword string keyword
required field
you can specify up to 2000 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name string full name of search engine location
required field if you don’t specify location_code
if you use this field, you don’t need to specify location_code
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/locations
example:
United States
location_code integer search engine location code
required field if you don’t specify location_name
if you use this field, you don’t need to specify location_name
you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/locations
example:
2840
language_name string full name of search engine language
required field if you don’t specify language_code;
if you use this field, you don’t need to specify language_code;
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/languages
example: English
language_code string search engine language code
required field if you don’t specify language_name;
if you use this field, you don’t need to specify language_name;
you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/languages
example: en
tag string user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field name Type Description
version string the current version of the API
status_code integer general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions
status_message string general informational message
you can find the full list of general informational messages here
time string execution time, seconds
cost float total tasks cost, USD
tasks_count integer the number of tasks in the tasks array
tasks_error integer the number of tasks in the tasks array returned with an error
tasks array array of tasks
        id string task identifier
unique task identifier in our system in the UUID format
        status_code integer status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here
        status_message string informational message of the task
you can find the full list of general informational messages here
        time string execution time, seconds
        cost float cost of the task, USD
        result_count integer number of elements in the result array
        path array URL path
        data object contains the same parameters that you specified in the POST request
        result array array of results
            keyword string keyword received in a POST array
the keyword is returned with decoded %## (plus symbol ‘+’ will be decoded to a space character)
            location_code integer location code in a POST array
            language_code string language code in a POST array
            model string indicates the model version
            datetime string date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00
            markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
            sources array array of sources
the sources the model actually cited or relied on in its final answer
                type string type of element = ‘gemini_source’
                title string source title
                snippet string source description
                domain string source domain
                url string source URL
                thumbnail string source thumbnail
                source_name string source name
                publication_date string date and time when the result was published
in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes”
example:
2019-11-15 12:57:46 +00:00
                markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
            se_results_count integer total number of results
            item_types array types of search results
contains types of search results (items) found in SERP.
possible item types:
gemini_text, gemini_table, gemini_images
            items_count integer the number of results returned in the items array
            items array elements of Gemini results
            ‘gemini_text’ element
                type string type of element = ‘gemini_text’
                rank_group integer group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group
                rank_absolute integer absolute rank in SERP
absolute position among all the elements in SERP
                markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
                original_text string unformatted text content of the element
                sources array array of sources
                    type string type of element = ‘gemini_source’
                    title string source title
                    snippet string source description
                    domain string source domain in SERP
                    url string source URL
                    thumbnail string source thumbnail
                    source_name string source name
                    publication_date string date and time when the result was published
in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes”
example:
2019-11-15 12:57:46 +00:00
                    markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
            ‘gemini_table’ element
                type string type of element = ‘gemini_table’
                rank_group integer group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group
                rank_absolute integer absolute rank in SERP
absolute position among all the elements in SERP
                markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
                original_text string unformatted text content of the element
                table object table present in the element
the header and content of the table present in the element
                    table_header array content in the header of the table
                    table_content array array of contents of the table present in the element
each array represents the table row
            ‘gemini_images’ element
                type string type of element = ‘gemini_images’
                rank_group integer group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group
                rank_absolute integer absolute rank in SERP
absolute position among all the elements in SERP
                markdown string content of the element in markdown format
content of the result formatted in the markdown markup language
                items array items present in the element
                   type string type of element = ‘gemini_images_element
                   url string relevant URL
                   alt string alt tag of the image
                   image_url string URL of the image
the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available)
                   markdown string content of the element in markdown format
content of the result formatted in the markdown markup language

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw [
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
   // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
   $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
   exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
   "language_code" => "en",
   "location_code" => 2840,
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
if (count($post_array) > 0) {
try {
    // POST /v3/ai_optimization/gemini/llm_scraper/live/advanced
    // in addition to 'gemini' and 'llm_scraper' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/ai_optimization/gemini/llm_scraper/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
    "language_code": "en",
    "location_code": 2840,
    "keyword": encodeURI("albert einstein")
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
"""
Method: POST
Endpoint: https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced
@see https://docs.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced
"""

import sys
import os
sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), '../../../../../')))
from lib.client import RestClient
from lib.config import username, password
client = RestClient(username, password)

post_data = []
post_data.append({
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
    })
try:
    response = client.post('/v3/ai_optimization/gemini/llm_scraper/live/advanced', post_data)
    print(response)
    # do something with post result
except Exception as e:
    print(f'An error occurred: {e}')
using System;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Threading.Tasks;
using Newtonsoft.Json;
namespace DataForSeoSdk;

public class AiOptimization
{

    private static readonly HttpClient _httpClient;
    
    static AiOptimization()
    {
        _httpClient = new HttpClient
        {
            BaseAddress = new Uri("https://api.dataforseo.com/")
        };
        _httpClient.DefaultRequestHeaders.Authorization =
            new AuthenticationHeaderValue("Basic", ApiConfig.Base64Auth);
    }

    /// <summary>
    /// Method: POST
    /// Endpoint: https://api.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced
    /// </summary>
    /// <see href="https://docs.dataforseo.com/v3/ai_optimization/gemini/llm_scraper/live/advanced"/>
    
    public static async Task GeminiLlmResponsesLive()
    {
        var postData = new List<object>();
        // a simple way to set a task, the full list of possible parameters is available in documentation
        postData.Add(new
        {
                language_name = "English",
                location_name = "United States",
                keyword = "albert einstein"
        });

        var content = new StringContent(JsonConvert.SerializeObject(postData), Encoding.UTF8, "application/json");
        using var response = await _httpClient.PostAsync("/v3/ai_optimization/gemini/llm_scraper/live/advanced", content);
        var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
        if (result.status_code == 20000)
        {
            // do something with result
            Console.WriteLine(result);
        }
        else
            Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
    }

The above command returns JSON structured like this:

{
  "version": "0.1.20260218",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "27.1013 sec.",
  "cost": 0.004,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02191522-1535-0629-0000-6d7325b7b32c",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "27.0670 sec.",
      "cost": 0.004,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "gemini",
        "llm_scraper",
        "live",
        "advanced"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "llm_scraper",
        "se": "gemini",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "albert einstein",
          "location_code": 2840,
          "language_code": "en",
          "model": "Fast",
          "datetime": "2026-02-19 13:22:39 +00:00",
          "markdown": "Albert Einstein is arguably the most famous physicist in history, not just for his "wild hair" and eccentric persona, but for fundamentally rewriting the laws of the universe.[ukgermanconnection.org](https://ukgermanconnection.org/kids/find-out-en/albert-einstein/)nnIn 1905—often called his *annus mirabilis* (miracle year)—he published four papers that changed everything, from the nature of light to the way we understand time and space.[www.ebsco.com](https://www.ebsco.com/research-starters/history/einstein-states-his-theory-special-relativity)nn### The Pillars of His WorknnEinstein’s legacy rests on a few revolutionary concepts that shifted physics away from the classical mechanics of Isaac Newton:[thedecisionlab.com](https://thedecisionlab.com/thinkers/philosophy/albert-einstein)nn* **General Relativity:** This is the big one. Einstein proposed that gravity isn't a "pulling" force, but a curvature of space-time caused by mass.[www.space.com](https://www.space.com/17661-theory-general-relativity.html#:~:text=The%20gravitational%20field%20comes%20out,result%20of%20the%20curved%20spacetime.)n  * **The Equation:** [fiveable.me](https://fiveable.me/riemannian-geometry/unit-13/einstein-field-equations-geometric-interpretation/study-guide/9y5ta3S24M3gpsDn#:~:text=Expressed%20mathematically%20as%20G%20%CE%BC,8%CF%80GT%CE%BC%CE%BD)$G_{munu} + Lambda g_{munu} = frac{8pi G}{c^4} T_{munu}$n* **Special Relativity:** He established that the laws of physics are the same for all non-accelerating observers and that the speed of light is a constant.[www.monash.edu](https://www.monash.edu/student-academic-success/physics/relativity/comparing-einsteins-relativity-to-classical-physics#:~:text=The%20speed%20of%20light%20in%20a%20vacuum%20is%20constant%20for,of%20the%20source%20of%20light.) This led to the most famous equation in history, relating mass ([www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)$m$) and energy ([www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)$E$):[www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)n  * **The Equation:** [www.pbs.org](https://www.pbs.org/wgbh/nova/einstein/lrk-hand-emc2expl.html)$E = mc^2$n* **The Photoelectric Effect:** While most people think he won the Nobel Prize for relativity, he actually won it for this.[www.nobelprize.org](https://www.nobelprize.org/prizes/physics/1921/summary/) He proved that light acts as both a wave and a particle (quanta), which helped kickstart **Quantum Mechanics**.nn---nn### 5 Fast Factsnn| Aspect | Detail |n| :--- | :--- |n| **Nobel Prize** | Physics (1921) |n| **Early Life** | Born in Ulm, Germany; struggled with rigid school systems. |n| **Personal Style** | Famously hated socks and rarely wore them. |n| **Humanitarianism** | A staunch pacifist and advocate for civil rights. |n| **The Brain** | After his death, his brain was removed (without family permission) for study. |nn---nn### Why He Still MattersnnEinstein’s theories weren't just abstract math; they are the reason your **GPS** works.[www.nasa.gov](https://www.nasa.gov/image-article/einsteins-theory-of-relativity-critical-gps-seen-distant-stars/#:~:text=Einstein's%20Theory%20of%20Relativity%2C%20Critical,Seen%20In%20Distant%20Stars%20-%20NASA) Without corrections for time dilation (time moving differently for satellites than for people on Earth), your phone’s map would be off by several kilometers within a single day.[www.youtube.com](https://www.youtube.com/shorts/LkWZSBgJ7Wg)nn> "Imagination is more important than knowledge. For knowledge is limited, whereas imagination embraces the entire world, stimulating progress, giving birth to evolution."[www.tuneintoleadership.com](https://www.tuneintoleadership.com/newsletter/the-power-of-imagination-to-elevate-leadership#:~:text=Knowledge%20is%20limited.,%E2%80%95Albert%20Einstein) — **Albert Einstein**nn---nn**Would you like me to dive deeper into one of his specific theories, or perhaps generate an image of Einstein in a modern setting?**",
          "sources": [
            {
              "type": "gemini_source",
              "title": "Albert Einstein – The Voyage Kids - UK German Connection",
              "snippet": "Albert Einstein was a scientist and best known for his theory of relativity. This theory tries to explain the relationship between space, time, matter and ...",
              "domain": "ukgermanconnection.org",
              "url": "https://ukgermanconnection.org/kids/find-out-en/albert-einstein/",
              "thumbnail": "https://encrypted-tbn3.gstatic.com/favicon-tbn?q=tbn:ANd9GcRUYxfhy5YlH9MB9u2_ZAViKb5WoDIXhSd6kXA_ujWQNEpvQxUKShS2-8qgIlbjJI50b9c5MdzIKLThVS-r3d4j6KhZXvNFgsjSz5488syxVA",
              "source_name": "UK German Connection",
              "publication_date": null,
              "markdown": "Albert Einstein is arguably the most famous physicist in history, not just for his "wild hair" and eccentric persona, but for fundamentally rewriting the laws of the universe."
            },
            {
              "type": "gemini_source",
              "title": "The Power of Imagination to Elevate Leadership",
              "snippet": "Knowledge is limited. Imagination embraces the entire world, stimulating progress, giving birth to evolution. ―Albert Einstein.",
              "domain": "www.tuneintoleadership.com",
              "url": "https://www.tuneintoleadership.com/newsletter/the-power-of-imagination-to-elevate-leadership#:~:text=Knowledge%20is%20limited.,%E2%80%95Albert%20Einstein",
              "thumbnail": "https://encrypted-tbn3.gstatic.com/favicon-tbn?q=tbn:ANd9GcQYRnqFyjfBmF3L6hqP5UaVinHFgDeFSE3zppGauJJly0mNnbpYs8jru5HEow3OAicJsmz-UgV0vxVMJE8Op8DVpsMOSbSe0Lnys3Q3TGPdSJq6McM",
              "source_name": "Tune Into Leadership",
              "publication_date": null,
              "markdown": "For knowledge is limited, whereas imagination embraces the entire world, stimulating progress, giving birth to evolution.""
            }
          ],
          "se_results_count": 0,
          "item_types": [
            "gemini_text",
            "gemini_table",
			"gemini_images"
          ],
          "items_count": 5,
          "items": [
            {
              "type": "gemini_text",
              "rank_group": 1,
              "rank_absolute": 1,
              "markdown": "Albert Einstein is arguably the most famous physicist in history, not just for his "wild hair" and eccentric persona, but for fundamentally rewriting the laws of the universe.[ukgermanconnection.org](https://ukgermanconnection.org/kids/find-out-en/albert-einstein/)",
              "original_text": "Albert Einstein is arguably the most famous physicist in history, not just for his "wild hair" and eccentric persona, but for fundamentally rewriting the laws of the universe.",
              "sources": [
                {
                  "type": "gemini_source",
                  "title": "Albert Einstein – The Voyage Kids - UK German Connection",
                  "snippet": "Albert Einstein was a scientist and best known for his theory of relativity. This theory tries to explain the relationship between space, time, matter and ...",
                  "domain": "ukgermanconnection.org",
                  "url": "https://ukgermanconnection.org/kids/find-out-en/albert-einstein/",
                  "thumbnail": "https://encrypted-tbn3.gstatic.com/favicon-tbn?q=tbn:ANd9GcRUYxfhy5YlH9MB9u2_ZAViKb5WoDIXhSd6kXA_ujWQNEpvQxUKShS2-8qgIlbjJI50b9c5MdzIKLThVS-r3d4j6KhZXvNFgsjSz5488syxVA",
                  "source_name": "UK German Connection",
                  "publication_date": null,
                  "markdown": "Albert Einstein is arguably the most famous physicist in history, not just for his "wild hair" and eccentric persona, but for fundamentally rewriting the laws of the universe."
                }
              ]
            },
            {
              "type": "gemini_text",
              "rank_group": 2,
              "rank_absolute": 2,
              "markdown": "* **General Relativity:** This is the big one. Einstein proposed that gravity isn't a "pulling" force, but a curvature of space-time caused by mass.[www.space.com](https://www.space.com/17661-theory-general-relativity.html#:~:text=The%20gravitational%20field%20comes%20out,result%20of%20the%20curved%20spacetime.)n  * **The Equation:** [fiveable.me](https://fiveable.me/riemannian-geometry/unit-13/einstein-field-equations-geometric-interpretation/study-guide/9y5ta3S24M3gpsDn#:~:text=Expressed%20mathematically%20as%20G%20%CE%BC,8%CF%80GT%CE%BC%CE%BD)$G_{munu} + Lambda g_{munu} = frac{8pi G}{c^4} T_{munu}$n* **Special Relativity:** He established that the laws of physics are the same for all non-accelerating observers and that the speed of light is a constant.[www.monash.edu](https://www.monash.edu/student-academic-success/physics/relativity/comparing-einsteins-relativity-to-classical-physics#:~:text=The%20speed%20of%20light%20in%20a%20vacuum%20is%20constant%20for,of%20the%20source%20of%20light.) This led to the most famous equation in history, relating mass ([www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)$m$) and energy ([www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)$E$):[www.nrc.gov](https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation)n  * **The Equation:** [www.pbs.org](https://www.pbs.org/wgbh/nova/einstein/lrk-hand-emc2expl.html)$E = mc^2$n* **The Photoelectric Effect:** While most people think he won the Nobel Prize for relativity, he actually won it for this.[www.nobelprize.org](https://www.nobelprize.org/prizes/physics/1921/summary/) He proved that light acts as both a wave and a particle (quanta), which helped kickstart **Quantum Mechanics**.",
              "original_text": "General Relativity: This is the big one. Einstein proposed that gravity isn't a "pulling" force, but a curvature of space-time caused by mass.nThe Equation: G_{munu} + Lambda g_{munu} = frac{8pi G}{c^4} T_{munu}nSpecial Relativity: He established that the laws of physics are the same for all non-accelerating observers and that the speed of light is a constant. This led to the most famous equation in history, relating mass (m) and energy (E):nThe Equation: E = mc^2nThe Photoelectric Effect: While most people think he won the Nobel Prize for relativity, he actually won it for this. He proved that light acts as both a wave and a particle (quanta), which helped kickstart Quantum Mechanics.",
              "sources": [
                {
                  "type": "gemini_source",
                  "title": "What is the theory of general relativity? Understanding Einstein's space-time revolution",
                  "snippet": "The gravitational field comes out of the description of general relativity as a result of the curved spacetime.",
                  "domain": "www.space.com",
                  "url": "https://www.space.com/17661-theory-general-relativity.html#:~:text=The%20gravitational%20field%20comes%20out,result%20of%20the%20curved%20spacetime.",
                  "thumbnail": "https://encrypted-tbn2.gstatic.com/favicon-tbn?q=tbn:ANd9GcQqRQlomBRusaqdBgDEmB6ccd38TrVXMfTfIZpjEdFpfzEyvxNDVv0fCT88dc1CC2nx4G2lxPC4HLXhQa8ou1hOclbb-7OymA",
                  "source_name": "Space",
                  "publication_date": null,
                  "markdown": "Einstein proposed that gravity isn't a "pulling" force, but a curvature of space-time caused by mass."
                },
                {
                  "type": "gemini_source",
                  "title": "Einstein field equations and their geometric interpretation | Riemannian Geometry Class Notes | Fiveable",
                  "snippet": "Expressed mathematically as G μ ν + Λ g μ ν = 8 π G c 4 T μ ν G_{munu} + Lambda g_{munu} = frac{8pi G}{c^4} T_{munu} Gμν+Λgμν=c48πGTμν ...",
                  "domain": "fiveable.me",
                  "url": "https://fiveable.me/riemannian-geometry/unit-13/einstein-field-equations-geometric-interpretation/study-guide/9y5ta3S24M3gpsDn#:~:text=Expressed%20mathematically%20as%20G%20%CE%BC,8%CF%80GT%CE%BC%CE%BD",
                  "thumbnail": "https://encrypted-tbn2.gstatic.com/favicon-tbn?q=tbn:ANd9GcR7qMtAUUTm43du1ySjDVpM08WaHfGES4As7WWcMezVpKXZatIdxkA7_4K4lYUFR1is8vkfMq0AurxCi6EhUNXIDSarUDE",
                  "source_name": "Fiveable",
                  "publication_date": null,
                  "markdown": "* **The Equation:** $G_{munu} + Lambda g_{munu} = frac{8pi G}{c^4} T_{munu}$"
                },
                {
                  "type": "gemini_source",
                  "title": "Comparing Einstein's Relativity to Classical Physics - Student Academic Success",
                  "snippet": "The speed of light in a vacuum is constant for all observers regardless, of their motion or the motion of the source of light.",
                  "domain": "www.monash.edu",
                  "url": "https://www.monash.edu/student-academic-success/physics/relativity/comparing-einsteins-relativity-to-classical-physics#:~:text=The%20speed%20of%20light%20in%20a%20vacuum%20is%20constant%20for,of%20the%20source%20of%20light.",
                  "thumbnail": "https://encrypted-tbn3.gstatic.com/favicon-tbn?q=tbn:ANd9GcTzcGaIpzVwSB-hzqL3h2RNKYjg4qu7SwKvQu2hEIL85-qD5jem3ru_V6AqAhbGXhCxfoHvJ3za7yfz1A2iFO8wJEAqhV0z1rw",
                  "source_name": "Monash University",
                  "publication_date": null,
                  "markdown": "* He established that the laws of physics are the same for all non-accelerating observers and that the speed of light is a constant."
                },
                {
                  "type": "gemini_source",
                  "title": "Mass-energy equation - Nuclear Regulatory Commission",
                  "snippet": "Mass-energy equation. The equation developed by Albert Einstein, which is usually given as E = mc2, showing that, when the energy of a body changes by an ...",
                  "domain": "www.nrc.gov",
                  "url": "https://www.nrc.gov/reading-rm/basic-ref/glossary/mass-energy-equation",
                  "thumbnail": "https://encrypted-tbn1.gstatic.com/favicon-tbn?q=tbn:ANd9GcTTx1zB9fpnzVG60Xl_uqxhHyMRngCyXNWWzzRn6JGL6wr0wW5Jtrbdh_WbopIu4ilIdtIWQsrfWNpi2wKxWzuuXpDKDlU",
                  "source_name": "Nuclear Regulatory Commission (.gov)",
                  "publication_date": null,
                  "markdown": "This led to the most famous equation in history, relating mass ($m$) and energy ($E$):"
                },
                {
                  "type": "gemini_source",
                  "title": "NOVA | Einstein's Big Idea | Library Resource Kit: E = mc2 Explained - PBS",
                  "snippet": "E = mc2 Explainednn- E = mc2.n- So why would you have to multiply the mass of that walnut by the speed of light to determine how much energy is bound up inside ...",
                  "domain": "www.pbs.org",
                  "url": "https://www.pbs.org/wgbh/nova/einstein/lrk-hand-emc2expl.html",
                  "thumbnail": "https://encrypted-tbn0.gstatic.com/favicon-tbn?q=tbn:ANd9GcSiotveZ_1fLzv2E0VJi1hPdYivGLVBEeSoJ1NBr45G4aHt2X1ewyisCmoDKN113epXUdll99UXEHEZi6riztLQ-M6hXhk",
                  "source_name": "PBS",
                  "publication_date": null,
                  "markdown": "    * **The Equation:** $E = mc^2$"
                },
                {
                  "type": "gemini_source",
                  "title": "The Nobel Prize in Physics 1921 - NobelPrize.org",
                  "snippet": "The Nobel Prize in Physics 1921 was awarded to Albert Einstein for his services to Theoretical Physics, and especially for his discovery of the law of the ...",
                  "domain": "www.nobelprize.org",
                  "url": "https://www.nobelprize.org/prizes/physics/1921/summary/",
                  "thumbnail": "https://encrypted-tbn0.gstatic.com/favicon-tbn?q=tbn:ANd9GcRbNbQahCQ9P5hc9bHwjcTQuquXujPwra9U4sOFVmJCynjmEsCSQvm1pVOLIaM2nJfEW4iZPRlnxDAlJ4gqYGzJ_A2Ud-w2ylYGC8d2",
                  "source_name": "NobelPrize.org",
                  "publication_date": null,
                  "markdown": "* **The Photoelectric Effect:** While most people think he won the Nobel Prize for relativity, he actually won it for this."
                }
              ]
            },
            {
              "type": "gemini_text",
              "rank_group": 3,
              "rank_absolute": 3,
              "markdown": "### 5 Fast Facts",
              "original_text": "5 Fast Facts",
              "sources": null
            },
            {
              "type": "gemini_table",
              "rank_group": 1,
              "rank_absolute": 4,
              "markdown": "| Aspect | Detail |n| :--- | :--- |n| **Nobel Prize** | Physics (1921) |n| **Early Life** | Born in Ulm, Germany; struggled with rigid school systems. |n| **Personal Style** | Famously hated socks and rarely wore them. |n| **Humanitarianism** | A staunch pacifist and advocate for civil rights. |n| **The Brain** | After his death, his brain was removed (without family permission) for study. |",
              "original_text": "AspecttDetailnNobel PrizetPhysics (1921)nEarly LifetBorn in Ulm, Germany; struggled with rigid school systems.nPersonal StyletFamously hated socks and rarely wore them.nHumanitarianismtA staunch pacifist and advocate for civil rights.nThe BraintAfter his death, his brain was removed (without family permission) for study.",
              "table": {
                "table_header": [
                  "Aspect",
                  "Detail"
                ],
                "table_content": [
                  [
                    "Nobel Prize",
                    "Physics (1921)"
                  ],
                  [
                    "Early Life",
                    "Born in Ulm, Germany; struggled with rigid school systems."
                  ],
                  [
                    "Personal Style",
                    "Famously hated socks and rarely wore them."
                  ],
                  [
                    "Humanitarianism",
                    "A staunch pacifist and advocate for civil rights."
                  ],
                  [
                    "The Brain",
                    "After his death, his brain was removed (without family permission) for study."
                  ]
                ]
              }
            },
            {
              "type": "gemini_images",
              "rank_group": 1,
              "rank_absolute": 5,
              "markdown": "![famous paintings by Vincent van Gogh](https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcTaBy_xbG0ZXNkAPAApT1bDOmSargM2g15ZzsApA18FeCeHnJO_5T71z_dC3pah)![famous paintings by Vincent van Gogh](https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcRE0_1oc7mYJRAcH0KonNBg8bG5WmzWbjkxACHwfPOL8-9LuCAVWarhWVO2mqr5)![famous paintings by Vincent van Gogh](https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ3nzZ81wpCP3dVf-0dKylLC3RfgqO7G1tF46HxTC5MsmkwTgCSQSJeWv7eQE9v)![famous paintings by Vincent van Gogh](https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcR6Jfz2dPkwW9VRyIaH_zo592o64IN1bli0puvZIGMCRqQdwkKXiZoxHtwu2iKM)",
              "items": [
                {
                  "type": "gemini_images_element",
                  "url": "https://www.singulart.com/blog/en/2023/09/04/van-gogh-famous-paintings/",
                  "alt": "famous paintings by Vincent van Gogh",
                  "image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcTaBy_xbG0ZXNkAPAApT1bDOmSargM2g15ZzsApA18FeCeHnJO_5T71z_dC3pah",
                  "markdown": "![famous paintings by Vincent van Gogh](https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcTaBy_xbG0ZXNkAPAApT1bDOmSargM2g15ZzsApA18FeCeHnJO_5T71z_dC3pah)"
                },
                {
                  "type": "gemini_images_element",
                  "url": "https://www.thecollector.com/10-van-gogh-paintings-to-know/",
                  "alt": "famous paintings by Vincent van Gogh",
                  "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcR6Jfz2dPkwW9VRyIaH_zo592o64IN1bli0puvZIGMCRqQdwkKXiZoxHtwu2iKM",
                  "markdown": "![famous paintings by Vincent van Gogh](https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcR6Jfz2dPkwW9VRyIaH_zo592o64IN1bli0puvZIGMCRqQdwkKXiZoxHtwu2iKM)"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}